.mainbar {
  display: flex;
  .mainbar-page {
    background-color: $mainBackgroundColor;
    width: 655px;
    margin-left: 20px;
    padding: 42px 20px 60px 20px;

    .mainbar-box {
      .features-box {
        position: relative;
        width: auto;
        height: 200px;
        padding: 43px 35px;
        background-image: url("../img/features-bg.png");
        background-repeat: no-repeat;
        background-size: cover;
        background-position: center;
        background-color: $featuresBoxBackgroundColor;
        border-radius: 15px;

        .title {
          span {
            font-size: 24px;
            line-height: 27px;
            color: $textColor;
          }
        }
        .description {
          margin-top: 12px;
          span {
            font-size: 16px;
            color: $dark;
          }
        }

        .discount {
          margin-top: 25px;
          span {
            color: $textColor;
            font-size: 14px;
            font-weight: 700;
          }

          &::after {
            content: url("../img/ico_blue_arrow.svg");
            margin-left: 14px;
          }
        }

        .presents-box {
          position: absolute;
          top: 130px;
          right: 20px;
          z-index: 1;

          .image {
            img {
              width: 100%;
              height: 162px;
            }
          }
        }

        .mobile {
          display: none;
        }

        &::after {
          position: absolute;
          content: "";
          background-color: $lineBackgroundColor;
          height: 10px;
          bottom: 0;
          left: 0;
          right: 0;
          border-bottom-right-radius: 15px;
          border-bottom-left-radius: 15px;
        }
      }

      .slider {
        margin-top: 30px;
        height: 150px;
        position: relative;
        .slick-prev {
          cursor: pointer;
          position: absolute;
          top: 50px;
          left: -10px;
          z-index: 1;
          width: 44px;
          height: 44px;
          border: none;
          border-radius: 50px;
          box-shadow: 0px 4px 30px rgba(1, 8, 26, 0.1);
          background-color: $light;
          transform: rotate(-180deg);
          font-size: 0;
          &::before {
            position: relative;
            content: url("../img/ico_arrow.svg");
          }
        }

        .slick-next {
          cursor: pointer;
          position: absolute;
          right: -20px;
          top: 50px;
          z-index: 1;
          width: 44px;
          height: 44px;
          border: none;
          margin-right: 10px;
          border-radius: 50px;
          font-size: 0;
          box-shadow: 0px 4px 30px rgba(1, 8, 26, 0.1);
          background-color: $light;
          &::before {
            position: relative;
            content: url("../img/ico_arrow.svg");
            transform: rotate(-180deg);
          }
        }
        .slick-list {
          .slick-track {
            .slick-slide {
              cursor: pointer;
              width: 110px !important;
              margin-right: 12px;
              transition: 0.3s ease-out;
              &:hover {
                svg {
                  rect {
                    fill: $blue;
                  }

                  path {
                    fill: $light;
                  }
                }
              }
            }
          }
        }
      }

      .verification-box {
        margin-top: 55px;

        .verification-header {
          display: flex;
          align-items: center;

          .title {
            span {
              font-size: 32px;
              font-weight: 700;
              color: $dark;
            }
          }

          .image {
            margin-left: 30px;
          }
        }

        .verification-body {
          margin-top: 25px;
          .description {
            span {
              font-size: 16px;
              color: $dark;
              line-height: 32px;
            }
          }

          .upload-button {
            margin-top: 40px;
            button {
              font-family: "Comfortaa", sans-serif;
              cursor: pointer;
              padding: 10px 44px;
              background-color: $light;
              border: 1px solid $dark;
              border-radius: 44px;
              font-size: 14px;
              line-height: 21px;
              color: $dark;
              font-weight: 400;

              &::before {
                content: url("../img/upload.svg");
                margin-right: 15px;
              }
            }
          }
        }
      }

      .personal-box {
        margin-top: 55px;
        .personal-information {
          .title {
            span {
              font-size: 32px;
              color: $dark;
              font-weight: 700;
            }
          }

          .form-content {
            margin-top: 40px;
            form {
              display: flex;
              flex-direction: column;
              .item {
                margin-bottom: 15px;
                width: auto;
                input[type="text"] {
                  font-family: "Comfortaa", sans-serif;
                  width: 95%;
                  padding: 17px 0 17px 12px;
                  border-radius: 6px;
                  border: none;
                  background-color: $formInputColor;

                  &::placeholder {
                    font-size: 14px;
                    font-weight: 400;
                    color: $dark;
                  }
                }
              }

              .date {
                display: flex;
                width: 99%;
                .number {
                  width: 20%;
                }

                .month {
                  flex: 1;
                  margin-right: 5px;
                  margin-left: 5px;
                }

                .year {
                  width: 20%;

                  select {
                    padding: 17px 0 17px 5px;
                  }
                }
              }

              select {
                font-family: "Comfortaa", sans-serif;
                width: 100%;
                padding: 17px 0 17px 12px;
                border-radius: 6px;
                background-color: $formInputColor;
                border: none;
              }
              .first-box {
                display: flex;
                .left-side {
                  width: 50%;
                  margin-right: 25px;
                }
                .right-side {
                  width: 50%;
                }
              }

              .second-box {
                display: flex;
                flex-direction: column;
                margin-top: 40px;
                .title {
                  span {
                    font-size: 16px;
                    font-weight: 400;
                    color: $dark;
                  }
                }

                .minmax {
                  display: flex;
                  margin-top: 25px;
                  margin-bottom: 15px;
                  .minimum {
                    width: 100%;
                    margin-right: 15px;
                  }

                  .maximum {
                    width: 100%;
                  }
                }

                .text {
                  width: auto;
                  padding: 12px 15px;
                  background-color: $formBackgroundColor;
                  height: 170px;
                  margin-bottom: 15px;
                  border-radius: 6px;
                  .low-title {
                    span {
                      color: $spanColor;
                      font-size: 10px;
                      font-weight: 400;
                    }
                  }

                  .description {
                    margin-top: 3px;
                    span {
                      font-size: 14px;
                      color: $dark;
                      line-height: 21px;
                    }
                  }
                }

                .protection-description {
                  span {
                    font-size: 16px;
                    color: $dark;
                    line-height: 27px;
                  }
                }
              }

              .buttons-box {
                margin-top: 40px;
                display: flex;
                .left-side {
                  flex: 1;
                  .profile {
                    button {
                      font-family: "Comfortaa", sans-serif;
                      cursor: pointer;
                      font-size: 16px;
                      line-height: 27px;
                      color: $dark;
                      padding: 12px 30px;
                      border-radius: 44px;
                      background-color: $light;
                      border: 1px solid $lineBackgroundColor;
                    }
                  }
                }

                .right-side {
                  display: flex;
                  .cancel {
                    margin-right: 20px;
                    button {
                      font-family: "Comfortaa", sans-serif;
                      cursor: pointer;
                      font-size: 16px;
                      line-height: 27px;
                      background-color: $lightBlue;
                      color: $dark;
                      border-radius: 44px;
                      border: 1px solid $lightBlue;
                      padding: 12px 30px;
                    }
                  }

                  .save {
                    button {
                      font-family: "Comfortaa", sans-serif;
                      cursor: pointer;
                      font-size: 16px;
                      line-height: 27px;
                      background-color: $blue;
                      color: $light;
                      border-radius: 44px;
                      border: 1px solid $blue;
                      padding: 12px 30px;
                    }
                  }
                }
              }
            }
          }

          .upgrade-box {
            margin-top: 60px;
            .title {
              margin-bottom: 40px;
            }
            .list-box {
              display: flex;
              //flex-wrap: wrap;
              flex-direction: column;

              .status-box-top {
                flex: 1;
                display: flex;

                .response {
                  width: 50%;
                  span {
                    font-size: 14px;
                    font-weight: 400;
                    line-height: 21px;
                  }
                }

                .intention {
                  width: 50%;
                  margin-left: 50px;
                  span {
                    font-size: 14px;
                    font-weight: 400;
                    line-height: 21px;
                  }
                }
              }

              .status-box-bottom {
                margin-top: 16px;
                display: flex;
                .result {
                  width: 50%;
                  span {
                    font-size: 14px;
                    font-weight: 400;
                    line-height: 21px;
                  }
                }
                .vip {
                  width: 50%;
                  margin-left: 50px;
                  span {
                    font-size: 14px;
                    font-weight: 400;
                    line-height: 21px;
                  }
                }
              }
            }

            .low-title {
              margin-top: 40px;
              margin-bottom: 24px;
              width: 417px;
              span {
                font-size: 18px;
                font-weight: 700;
                color: $dark;
                line-height: 28px;
              }
            }

            .premium-cards {
              display: flex;
              .item-box {
                width: 100%;

                .item {
                  display: flex;
                  justify-content: center;
                  padding: 26px 15px;
                  background-color: $light;
                  box-shadow: 0px 4px 30px rgba(1, 8, 26, 0.1);
                  .user-card {
                    width: 100%;
                    text-align: center;
                    .user-photo {
                      img {
                        width: 100px;
                        height: 100px;
                      }
                    }
                    .user-id {
                      margin-top: 15px;
                      span {
                        font-size: 10px;
                        color: $spanColor;
                      }
                    }

                    .user-greeting {
                      margin-top: 5px;
                      span {
                        font-size: 18px;
                        color: $dark;
                        font-weight: 700;
                      }
                    }

                    .user-button {
                      margin-top: 15px;
                      button {
                        width: 100%;
                        padding: 6px 0;
                        border-radius: 52px;
                        background-color: $silverColor;
                        border: 1px solid $silverColor;
                        font-size: 10px;
                        line-height: 11px;
                        text-transform: uppercase;

                        &:nth-child(2) {
                          background-color: $goldColor;
                          border: 1px solid $goldColor;
                        }
                      }
                      .gold {
                        background-color: $goldColor;
                        border: 1px solid $goldColor;
                      }

                      .platinum {
                        background-color: $platinumColor;
                        border: 1px solid $platinumColor;
                        color: $light;
                      }
                    }
                  }
                }

                .blue-button {
                  margin-top: 12px;
                  button {
                    font-family: "Comfortaa", sans-serif;
                    cursor: pointer;
                    padding: 12px 25px;
                    border-radius: 55px;
                    width: 100%;
                    background-color: $blue;
                    color: $light;
                    border: 1px solid $blue;
                    font-size: 14px;
                    line-height: 27px;
                  }
                }
                &:nth-child(2) {
                  margin: 0 7px;
                }
              }
            }
          }
        }
      }
    }
  }
}
